org.firstinspires.ftc.robotcore.external.navigation

## Class Velocity

- java.lang.Object
- - org.firstinspires.ftc.robotcore.external.navigation.Velocity

-     public class Velocity
      extends java.lang.Object

  Instances of `Velocity` represent the derivative of `Position` over time.
  See Also:
    `Position`, `Acceleration`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `acquisitionTime` the time on the System.nanoTime() clock at which the data was acquired.
    `DistanceUnit` | `unit` The distance units in which this velocity is expressed.
    `double` | `xVeloc`
    `double` | `yVeloc`
    `double` | `zVeloc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Velocity()`
    `Velocity(DistanceUnit unit, double xVeloc, double yVeloc, double zVeloc, long acquisitionTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `Velocity` | `toUnit(DistanceUnit distanceUnit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### unit

          public DistanceUnit unit

      The distance units in which this velocity is expressed. The time unit is always "per second".

    - #### xVeloc

          public double xVeloc

    - #### yVeloc

          public double yVeloc

    - #### zVeloc

          public double zVeloc

    - #### acquisitionTime

          public long acquisitionTime

      the time on the System.nanoTime() clock at which the data was acquired. If no timestamp is associated with this particular set of data, this value is zero.

  - ### Constructor Detail

    - #### Velocity

          public Velocity()

    - #### Velocity

          public Velocity(DistanceUnit unit,
                          double xVeloc,
                          double yVeloc,
                          double zVeloc,
                          long acquisitionTime)

  - ### Method Detail

    - #### toUnit

          public Velocity toUnit(DistanceUnit distanceUnit)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`